API reference
API keys
GET
accountSessionheader
AuthorizationBearer <token>A signed-in Italic account session. An API key cannot create or revoke keys.
Success. Writes without read permission return an ID and revision only.
application/json- response
keys*array<>curl -X GET 'https://app.italic.com/api/v2/api-keys'Example Response
{
"keys": [
{
"id": "string",
"name": "string",
"scopes": [
"recordings:create"
],
"createdAt": 0,
"expiresAt": 0,
"revokedAt": 0,
"lastUsedAt": 0
}
]
}POST
accountSessionheader
AuthorizationBearer <token>A signed-in Italic account session. An API key cannot create or revoke keys.
application/json- body
name*stringLength
1 <= length <= 80scopes*array<>Items
1 <= items <= 14expiresInDays?integerRange
1 <= value <= 365Success. Writes without read permission return an ID and revision only.
application/json- response
key*secret*stringcurl -X POST 'https://app.italic.com/api/v2/api-keys' \
-H 'Content-Type: application/json' \
-d '{
"name": "string",
"scopes": [
"recordings:create"
]
}'Example Response
{
"key": {
"id": "string",
"name": "string",
"scopes": [
"recordings:create"
],
"createdAt": 0,
"expiresAt": 0,
"revokedAt": 0,
"lastUsedAt": 0
},
"secret": "string"
}DELETE
accountSessionheader
AuthorizationBearer <token>A signed-in Italic account session. An API key cannot create or revoke keys.
id*stringMatch
^[A-Za-z0-9][A-Za-z0-9._:-]*$Length
1 <= length <= 256Success. Writes without read permission return an ID and revision only.
application/json- response
id*stringMatch
^[A-Za-z0-9][A-Za-z0-9._:-]*$Length
1 <= length <= 256deleted*booleancurl -X DELETE 'https://app.italic.com/api/v2/api-keys/string'Example Response
{
"id": "string",
"deleted": true
}